/****************************************************************************
**
** DCOP Stub Definition created by dcopidl2cpp from kinternetiface.kidl
**
** WARNING! All changes made in this file will be lost!
**
*****************************************************************************/

#ifndef __KINTERNETIFACE_STUB__
#define __KINTERNETIFACE_STUB__

#include <dcopstub.h>
#include <dcopobject.h>


class KInternetIface_stub : virtual public DCOPStub
{
public:
    KInternetIface_stub( const TQCString& app, const TQCString& id );
    KInternetIface_stub( DCOPClient* client, const TQCString& app, const TQCString& id );
    explicit KInternetIface_stub( const DCOPRef& ref );
    virtual bool isOnline();
protected:
    KInternetIface_stub() : DCOPStub( never_use ) {}
};


#endif
